### Constructor

# Clapper MediaItem new_from_file

#### Declaration [src]

    ClapperMediaItem*
    clapper_media_item_new_from_file (
      GFile* file
    )

#### Description [src]

Creates new `ClapperMediaItem` from `GFile`.

Same as `clapper_media_item_new()`, but uses a `GFile` for convenience in some situations instead of an URI.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClapperMediaItem`

A new `ClapperMediaItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.